package cz.moneta.test.dsl.kasanova.components.enums;

import java.util.Random;

public enum KSNAdress {
    PRAHA_4("Praha 4, 255 08, Prčice"), 
    PLZEN_6("Plzeň 6, 251 87, Staromyslivecká"), 
    TEPLA_478("Teplá 478, 975 00, Dlouhá"), 
    OSTRAVA("Ostrava 17, 145 00, Dušná");
    
    private final String value;
    private final static Random random = new Random();
    
    KSNAdress(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static KSNAdress getRandomAdress() {
        int i = random.nextInt(KSNAdress.values().length);
        return KSNAdress.values()[i];
    }

    public static String getRandomAdressValue() {
        int i = random.nextInt(KSNAdress.values().length);
        return KSNAdress.values()[i].getValue();
    }
}
